Skip to main content
`Ctrl`+`K`

# PetscHSetIVQueryAdd

Query and add an entry in the hash set

## Synopsis

    #include <petsc/private/hashsetiv.h>
    PetscErrorCode PetscHSetIVQueryAdd(PetscHSetIV ht, PetscInt key, PetscBool *missing)

## Input Parameters

- ht - The hash set

- key - The entry

## Output Parameter

- missing - Boolean indicating whether the entry was missing

## See Also

`PetscHSetIVQueryDel()`, `PetscHSetIVAdd()`, `PetscHSetIVHas()`

## Level

developer

## Location

include/petsc/private/hashset.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages